# Export the module function if it exists
[[ $(type -t module) == "function" ]] && export -f module

# Find available port to run server on
port=$(find_port ${host})

# Define a password and export it for RStudio authentication
password="$(create_passwd 16)"
export RSTUDIO_PASSWORD="${password}"

<%-
  require 'securerandom'
  csrf_token=SecureRandom.uuid
-%>
export csrf_token="<%= csrf_token %>"
